clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::google::readability::TodoCommentCheck::TodoCommentHandler Class Reference
Inheritance diagram for clang::tidy::google::readability::TodoCommentCheck::TodoCommentHandler:
[legend]
Collaboration diagram for clang::tidy::google::readability::TodoCommentCheck::TodoCommentHandler:
[legend]

## Public Member Functions
| TodoCommentHandler (TodoCommentCheck &Check, llvm::Optional< std::string > User)
bool | HandleComment (Preprocessor &PP, SourceRange Range) override

## Detailed Description

Definition at line 19 of file TodoCommentCheck.cpp.

## Constructor & Destructor Documentation

clang::tidy::google::readability::TodoCommentCheck::TodoCommentHandler::TodoCommentHandler | ( | TodoCommentCheck & | Check,
|  | llvm::Optional< std::string > | User
| ) |  |
| inline

Definition at line 21 of file TodoCommentCheck.cpp.

## Member Function Documentation

bool clang::tidy::google::readability::TodoCommentCheck::TodoCommentHandler::HandleComment | ( | Preprocessor & | PP,
|  | SourceRange | Range
| ) |  |
| inline override

Definition at line 25 of file TodoCommentCheck.cpp.

References clang::tidy::ClangTidyCheck::diag().

The documentation for this class was generated from the following file:

- TodoCommentCheck.cpp